package com.tangguo.jobs;

import com.tangguo.service.IBbsTopicService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 刷新话题排名定时任务
 *
 * @author 谈笑
 * @createTime 2025-09-04 21:26:18 星期四
 */
@Slf4j
@Component
public class RefreshTopicRankingJob {

	@Resource
	private IBbsTopicService topicService;


	public void run() {
		log.info("=> 开始执行刷新话题排名定时任务");
		this.topicService.refreshRankingTopic();
		log.info("=> 执行刷新话题排名定时任务完毕");
	}

}
